
Katello - Bug #23548

installer tries to reinstall puppet-agent-oauth which is not installed

05/09/2018 08:12 AM - Ales Dujicek

Status: Rejected   

Priority: High   

Assignee:    

Category:    

Target version: Katello Recycle Bin   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Error in installer output about re-installing not-installed package

# foreman-installer --scenario katello ...

...

Loaded plugins: product-id, search-disabled-repos, subscription-manager

No Match for argument: puppet-agent-oauth

Package(s) puppet-agent-oauth available, but not installed.

Error: Nothing to do

yum -y reinstall puppet-agent-oauth failed! Check the output for error!

 /var/log/foreman-installer/katello.log

[ INFO 2018-05-09T09:45:31 main] Resetting puppet server version param...

[DEBUG 2018-05-09T09:45:31 main] Loaded plugins: product-id, search-disabled-rep

os, subscription-manager

[DEBUG 2018-05-09T09:45:38 main] No Match for argument: puppet-agent-oauth

[DEBUG 2018-05-09T09:45:39 main] Package(s) puppet-agent-oauth available, but not installed.

[DEBUG 2018-05-09T09:45:39 main] Error: Nothing to do

[ERROR 2018-05-09T09:45:39 main] yum -y reinstall puppet-agent-oauth failed! Check the output for 

error!

[DEBUG 2018-05-09T09:45:39 main] Hook /usr/share/katello-installer-base/hooks/pre_validations/31-u

pgrade-puppet.rb returned nil

 foreman-1.18.0-0.develop.201805080055git36d17b1.el7.noarch

katello-3.7.0-3.nightly.el7.noarch

foreman-installer-1.18.0-0.develop.201805020328gita630083.el7.noarch

katello-installer-base-3.7.0-1.nightly.201805022213git43dd519.el7.noarch

foreman-installer-katello-3.7.0-1.nightly.201805022213git43dd519.el7.noarch

Related issues:

Related to Katello - Bug #23470: Upgrades should allow picking up new puppet ... Closed 05/01/2018

History

#1 - 05/09/2018 08:12 AM - Ales Dujicek

- Related to Bug #23470: Upgrades should allow picking up new puppet server versions automatically added

#2 - 05/09/2018 05:42 PM - John Mitsch

- translation missing: en.field_release set to 338

#3 - 05/09/2018 05:43 PM - John Mitsch

- Priority changed from Normal to High

#4 - 06/27/2018 06:10 PM - Andrew Kofink
- Difficulty set to easy

Which version of puppet are you running? Could you try this on 3.7 RC or current nightly? This should have been fixed in #23470.

#5 - 06/28/2018 09:29 AM - Ales Dujicek

I used what is in nightly install instructions

https://theforeman.org/plugins/katello/nightly/installation/index.html#required-repositories

And I do not see that error in current nightly anymore.

#6 - 07/11/2018 06:19 PM - Justin Sherrill

- Status changed from New to Rejected

- Target version changed from Katello 3.7.0 to Katello Recycle Bin

- Triaged set to No

Closing, let us know if you see it again.  Thanks!
